# Configuration

### Updating secrets required for the environment <a href="#user-content-updating-secrets-required-for-environment" id="user-content-updating-secrets-required-for-environment"></a>

Please update all values mentioned below as per your environment and save it as `secrets.<env>.yaml`. Ex: `secrets.staging.yaml`.&#x20;

```
# environments/secrets.<env>.yaml

DB_NAME: <db_name>
DB_URL: mongodb://<user>:<pass>@<db_url>:<port>/<db_name>?socketTimeoutMS=100000
SECURITY_KEY: <security_key>
PBI_USERNAME: <pbi_username>
PBI_PASSWORD: <pbi_password>
PBI_CLIENT_ID: <pbi_client_id>

# Node Notification
MQTT_DB_URL: mongodb://<user>:<pass>@<db_url>:<port>/<db_name>

# Node Consumer
USERNAME_MQTT: <username_mqtt>
PASSWORD_MQTT: <password_mqtt>
NOTIFICATION_EMAIL_ID: <notification_email_id>
NOTIFICATION_EMAIL_ID_PASSCODE: <notification_email_id_passcode>
```

### Updating generic values of configmap <a href="#user-content-updating-generic-values-of-configmap" id="user-content-updating-generic-values-of-configmap"></a>

Configmap details are almost latest and mostly not needed any updation. Please make sure that you have replaced your configmap with your environment name properly. If your env name is `abc`, then your configmap should be `environments/configmap.abc.yaml`. Below I will be listing more likely to be changed environment variables.

```
# environments/configmap.<env>.yaml

# Documents store paths
GDRIVE_LOCATION: /data/exto360-files/
EXTO360_HOME: /data/exto360-home/

EXTO_REDIRECT_URL: https://staging.exto360.com/
```

### Setting values to helm commands <a href="#user-content-setting-values-to-helm-commands" id="user-content-setting-values-to-helm-commands"></a>

Update below required properties:

#### Required values <a href="#user-content-required-values" id="user-content-required-values"></a>

```
environment: <your_environment_name>
namespace: <kubernetes_namespace>
ingress:
  tls_host: <your_domain_name>
  tlsSecretName: <created_tls_secret_name>
```

#### Optional values <a href="#user-content-optional-values" id="user-content-optional-values"></a>

```
# Storage class defaults to Azure
# Incase if you need any other provisioner, please update below details.
storageClass:
  provisioner: kubernetes.io/azure-file
  parameters:
    skuName: Standard_LRS
  reclaimPolicy: Retain

# Size of your document storage
pvc:
  requestStorage: 10Gi

# If you want to enable HPA
# Make sure you enabled service level also
hpa:
  enabled: true

# Updating micro service level values
services:
  web:
    # Updating specific image for any service. 
    # Giving example for api service.
    container:
      image: <your_container_registry>/exto360-api:<image_tag>
    
    # Enabling hpa only for particular service
    # Make sure you enabled global hpa. 
    # If thats not enabled, this setting will be ignored.
    hpa:
      enabled: true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.exto360.com/installation/install-exto-on-kubernetes/installing-exto/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
